%define upstream_name    Algorithm-Numerical-Shuffle
%define upstream_version 2009110301

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Shuffle a list
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
'shuffle' performs a one pass, fair shuffle on a list. If the list is
passed as a reference to an array, the shuffle is done in situ.

The subroutine returns the list in list context, and a reference to the
list in scalar context.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2009110301.0.0-3.mga6
+ Revision: 1022262
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 2009110301.0.0-2.mga6
+ Revision: 935165
- Mageia 6 Mass Rebuild

* Thu Oct 16 2014 shlomif <shlomif> 2009110301.0.0-1.mga5
+ Revision: 762174
- imported package perl-Algorithm-Numerical-Shuffle


* Thu Oct 16 2014 cpan2dist 2009110301-1mga
- initial mageia release, generated with cpan2dist
